org.encog.neural.freeform.basic

## Class BasicFreeformConnection

- java.lang.Object
- - org.encog.neural.freeform.basic.BasicFreeformConnection

- All Implemented Interfaces:
    Serializable, FreeformConnection, TempTrainingData

      public class BasicFreeformConnection
      extends Object
      implements FreeformConnection, Serializable

  A basic freeform connection.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicFreeformConnection(FreeformNeuron theSource, FreeformNeuron theTarget)` Construct a basic freeform connection.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTempTraining(int i, double value)` Add to the specified temp value.
    `void` | `addWeight(double delta)` Add to the connection weight.
    `void` | `allocateTempTraining(int l)` Allocate the specified length of temp training.
    `void` | `clearTempTraining()` Clear the temp training.
    `FreeformNeuron` | `getSource()`
    `FreeformNeuron` | `getTarget()`
    `double` | `getTempTraining(int index)` Get the specified temp training.
    `double` | `getWeight()`
    `boolean` | `isRecurrent()`
    `void` | `setRecurrent(boolean recurrent)` Determine if this is a recurrent connecton.
    `void` | `setSource(FreeformNeuron source)` Set the source neuron.
    `void` | `setTarget(FreeformNeuron target)` Set the target neuron.
    `void` | `setTempTraining(int index, double value)` Set a temp training value.
    `void` | `setWeight(double weight)` Set the weight.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicFreeformConnection

          public BasicFreeformConnection(FreeformNeuron theSource,
                                 FreeformNeuron theTarget)

      Construct a basic freeform connection.
      Parameters:
        `theSource` - The source neuron.
        `theTarget` - The target neuron.

  - ### Method Detail

    - #### addTempTraining

          public void addTempTraining(int i,
                             double value)

      Add to the specified temp value.
      Specified by:
        `addTempTraining` in interface `TempTrainingData`
      Parameters:
        `i` - The index.
        `value` - The value to add.

    - #### addWeight

          public void addWeight(double delta)

      Add to the connection weight.
      Specified by:
        `addWeight` in interface `FreeformConnection`
      Parameters:
        `delta` - THe value to add.

    - #### allocateTempTraining

          public void allocateTempTraining(int l)

      Allocate the specified length of temp training.
      Specified by:
        `allocateTempTraining` in interface `TempTrainingData`
      Parameters:
        `l` - The length.

    - #### clearTempTraining

          public void clearTempTraining()

      Clear the temp training.
      Specified by:
        `clearTempTraining` in interface `TempTrainingData`

    - #### getSource

          public FreeformNeuron getSource()

      Specified by:
        `getSource` in interface `FreeformConnection`
      Returns:
        The source neuron.

    - #### getTarget

          public FreeformNeuron getTarget()

      Specified by:
        `getTarget` in interface `FreeformConnection`
      Returns:
        The target neuron.

    - #### getTempTraining

          public double getTempTraining(int index)

      Get the specified temp training.
      Specified by:
        `getTempTraining` in interface `TempTrainingData`
      Parameters:
        `index` - The indfex.
      Returns:
        The temp training value.

    - #### getWeight

          public double getWeight()

      Specified by:
        `getWeight` in interface `FreeformConnection`
      Returns:
        The weight.

    - #### isRecurrent

          public boolean isRecurrent()

      Specified by:
        `isRecurrent` in interface `FreeformConnection`
      Returns:
        Is this a recurrent connection?

    - #### setRecurrent

          public void setRecurrent(boolean recurrent)

      Determine if this is a recurrent connecton.
      Specified by:
        `setRecurrent` in interface `FreeformConnection`
      Parameters:
        `recurrent` - True, if this is a recurrent connection.

    - #### setSource

          public void setSource(FreeformNeuron source)

      Set the source neuron.
      Specified by:
        `setSource` in interface `FreeformConnection`
      Parameters:
        `source` - The source neuron.

    - #### setTarget

          public void setTarget(FreeformNeuron target)

      Set the target neuron.
      Specified by:
        `setTarget` in interface `FreeformConnection`
      Parameters:
        `target` - The target neuron.

    - #### setTempTraining

          public void setTempTraining(int index,
                             double value)

      Set a temp training value.
      Specified by:
        `setTempTraining` in interface `TempTrainingData`
      Parameters:
        `index` - The index.
        `value` - The value.

    - #### setWeight

          public void setWeight(double weight)

      Set the weight.
      Specified by:
        `setWeight` in interface `FreeformConnection`
      Parameters:
        `weight` - The weight.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.